import java.io.*;
import org.graalvm.polyglot.*;


public class GetPID{
  public static void main(String[] args) throws Exception{
    int pid = -1;

    try(Context ctx = Context.newBuilder()
                             .allowIO(true)
                             .allowNativeAccess(true)
                             .build()){
      Source source = Source.newBuilder("llvm", new File("getpid.bc"))
                            .build();
      pid = ctx.eval(source)
               .execute()
               .asInt();
    }

    System.out.println(pid);
  }
}
